<div class="max-w-[820px]">
  <h1 class="mb-1 font-heading text-2xl font-bold lg:text-3xl">
    Обратная связь
  </h1>
  <p class="mb-10 text-sm">
    Вы можете задать нам вопрос, оставить отзыв, а также написать свое
    предложение или замечание.
    <br />
    Воспользуйтесь формой обратной связи, которая расположена ниже.
  </p>
  <form [formGroup]="form" (ngSubmit)="onSubmit()">
    <label class="mb-12 block">
      <span class="mb-5 inline-block text-xs text-gray-500"
        >Выберите отделение:</span
      >
      <tui-radio-list
        orientation="horizontal"
        [formControl]="type"
        [items]="types"
        [itemContent]="typeContent"
        class="feedback"
      ></tui-radio-list>
      <ng-template #typeContent let-data>
        {{ data.name }}
      </ng-template>
    </label>

    <div
      class="mb-3 grid max-w-[600px] gap-4 sm:grid-cols-2 md:grid-cols-1 lg:grid-cols-2 lg:gap-7"
    >
      <label class="block">
        <span class="mb-1 inline-block text-xs text-gray-500">
          Имя
          <sup
            class="text-red"
            *ngIf="
              form.get('sender').errors &&
              form.get('sender').hasError('required')
            "
            >*</sup
          >
        </span>
        <tui-input
          tuiTextfieldSize="m"
          formControlName="sender"
          [tuiTextfieldLabelOutside]="true"
        >
          <input tuiTextfield type="text" />
        </tui-input>
        <tui-error
          formControlName="sender"
          [error]="[] | tuiFieldError | async"
        ></tui-error>
      </label>
      <label class="block">
        <span class="mb-1 inline-block text-xs text-gray-500">
          Телефон
          <sup
            class="text-red"
            *ngIf="
              form.get('phone').errors && form.get('phone').hasError('required')
            "
            >*</sup
          >
        </span>
        <tui-input-phone
          formControlName="phone"
          tuiTextfieldSize="m"
          [tuiTextfieldLabelOutside]="true"
        >
          <input tuiTextfield autocomplete="tel" />
        </tui-input-phone>
        <tui-error
          formControlName="phone"
          [error]="[] | tuiFieldError | async"
        ></tui-error>
      </label>
      <label class="block sm:col-span-2 sm:col-span-full lg:col-span-2">
        <span class="mb-1 inline-block text-xs text-gray-500">
          Email
          <sup
            class="text-red"
            *ngIf="
              form.get('email').errors && form.get('email').hasError('required')
            "
            >*</sup
          >
        </span>
        <tui-input
          tuiTextfieldSize="m"
          formControlName="email"
          [tuiTextfieldLabelOutside]="true"
        >
          <input tuiTextfield type="email" />
        </tui-input>
        <tui-error
          formControlName="email"
          [error]="[] | tuiFieldError | async"
        ></tui-error>
      </label>
      <label class="block sm:col-span-2 sm:col-span-full lg:col-span-2">
        <span class="mb-1 inline-block text-xs text-gray-500">
          Комментарий к заявке
          <sup
            class="text-red"
            *ngIf="
              form.get('message').errors &&
              form.get('message').hasError('required')
            "
            >*</sup
          >
        </span>
        <tui-text-area formControlName="message"></tui-text-area>
        <tui-error
          formControlName="message"
          [error]="[] | tuiFieldError | async"
        ></tui-error>
      </label>
    </div>
    <tui-checkbox-labeled
      formControlName="agree"
      class="mb-7"
      appearance="accent"
    >
      <span class="text-3xs text-gray-500">
        Нажимая кнопку «Отправить», я даю свое согласие на
        <a class="text-blue">обработку моих персональных данных</a>
      </span>
    </tui-checkbox-labeled>
    <button
      type="submit"
      tuiButton
      size="m"
      [showLoader]="isSubmitting$ | async"
      [disabled]="form.invalid || (isSubmitting$ | async)"
    >
      Отправить заявку
    </button>
  </form>
</div>
